KraftZone Server: mc.kraftzone.net

=====================================================

* Gallery

The 3 Idiots

Views: 301
Posted by: rui334
in: Some Random Thing
2014 03 12 23 16 40

Views: 228
Posted by: Hadi
in: SEUS
Mansion (TH) outside #2

Views: 197
Posted by: lakala09
in: Modern houses
2014 03 12 23 20 57

Views: 231
Posted by: Hadi
in: SEUS

Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - o0Julia0o

Pages: [1] 2
1
Videos / Just feel
« on: March 18, 2018, 05:08:58 pm »
hey - just wanīt to get you some (hopingly) good old feeling:


For me some things had led to wanīt me playing Minecraft again. On this way the old trailer had offered me some memories. But the most - some feelings. Watch - and maybe feel it.

Julia :)

2
General Discussions / Re: Portable Minecraft v1.40
« on: March 18, 2018, 04:59:28 pm »
^^. Uh - wow, o.k. Thank you for deeply looking into it, Koolio!! I think i canīt really help - hm. For me it would be nice, if i could use a forged jar(json, libraries, assets) from another launcher. So itīs portable, in the end with the MCLauncher. I tried all the way told, but - yeah.. the problem seems to be huger.

I would be happy, if you could say more in the next weeks.

3
General Discussions / Re: Portable Minecraft v1.40
« on: March 18, 2018, 01:04:56 am »
thank you Koolio for looking into it!!! Yeah - premium-loings would be another problem. The non-premium login is working up to the actual minecraft-version 1.12.2!! But i hoped you could get forge to work with the MCLauncher - or tell a workaround, what to do with the forged files/folders from other launchers - so the MCLauncher can start them.

4
General Discussions / Re: Portable Minecraft v1.40
« on: March 14, 2018, 06:07:09 pm »
Hi Koolio, how can i get forge running with MCLauncher? I tried to put assets and libraries in the folders of MCLauncher and the forge-folder in the versions-folder of MC-Launcher but it doesnīt work.
Here is a pack with libraries, assets and Forge-folder(with forge.jar): http://www89.zippyshare.com/v/QbhuNLcr/file.html

5
General Discussions / Re: Some things I need to say about this server
« on: February 18, 2018, 10:20:29 pm »
y - it was a nice minecraft-time at all some years ago... i will start playing again. For me, since 7D2D was getting bigger, Minecrafts seems to become 2nd place for Koolio. I liked his portable Launcher(the one and only real portable launcher on the earth). So i could easily help, setup and manage my friends minecraft. Scool took a lot of time and the rest of the life, too. But now i am feeling a little of the feelings some years ago. But i know that i donīt get this feeling back again. I was another person and it was another time. I am planning to reacitive some of my friends. But they arenīt playing something at all. Hope i can reactivate them and having some next years of minecraft-feelings.

thx Koolio - thx Minecraft-Community!

6
General Discussions / Re: My return
« on: February 18, 2018, 10:10:37 pm »
I am back too. A lot of things came between me and Minecraft, but i wanīt to start with it again. I hope i am getting 50% of the feeling some years ago - that would be nice...

7
General Discussions / Re: Portable Minecraft v1.40
« on: February 18, 2018, 10:00:49 pm »
hey - will the MCLauncher be updated to the actual minecraft-version?

8
General Discussions / Re: Portable Minecraft v1.40
« on: March 17, 2015, 09:34:00 am »
 :) thank you again, Koolio.
nope that is just the shadermod, it comes with no shaders to use

ah - sorry. I donīt know anything about shaders before i heard from you. My eyes had been fixed to the launcher. So you have created you own shaders???

If i am using your 1.8-LiteLoader-version, i can update the shadermod simply by copying the ShadersMod-v2.4.11mc1.8.jar into the E:\MC\KZ1.4\Orig\1.8-LiteLoader\mods\1.8-folder?

Because in the libaries-folder there is noshadersmodcore-folder in the KZMinecraft(only in the %appdata%-Minecraft. And the only difference is a sha-file with a alphanumerical number in it.

By the way - if anything else would be edited in the libaries-folder in %appdata%-folder by the drag&drop-process, there wonīt be indepented versions possible. Because the liberies-folder is the same for all versions of the KZMinecraft.

when you download it is also an installer .jar that you can dragdrop onto the launcher.

o.k. nice :), but i donīt know what i have to to after the drag&drop-process. So the other way is more easy.

yes you need to start minecraft with the shadermod installed for that mcversion, then it will create that shaderpack dir for you.

o.k. A shadermod-dir i can create by myself. So can i instead of using the drag&drop-process create the shadermod-folder by myself? And.. if i am using your 1.8LiteLoader-folder, there is a shaderpack-folder right from the beginning. So - nothing to do except changing the shader.jar to the newest version?

what? f.e shader?? you can install liteloader for 1.8 yourself here... http://jenkins.liteloader.com/job/LiteLoaderInstaller/

grab the .jar version then just dragdrop it onto the launcher to run it

f.e. = for expample. did you mean that? ohh :ī( - this drag&drop-process again. I donīt know how to do it in the correct way for the shadermod. And i donīt know how to do it for the lite-loader. Same question over here.. is there another possibilty to install the lite-loader?

Probably a few weeks before 1.8.3 has any of the core mods, when it does I'll make another modpack maybe 2 versions one with TMI and another without, I'd like to make the launcher a bit better at giving users a way to enable/disable mods via the launcher, without needing to mess with the files or editing .json themselves, but its a bit messy to do really.

That would be nice. But i think a lot of people are using your launcher to make and have their own versions of mc. So a FAQ, how to do it would be nice, too. Some things you postet here in this thread. But a faq in the startpost would be nicer.

And.. i am a fan of the old launcher. Itīs more easy to use. So i am not a fan of maken more functions. A lot of my friends arenīt so fit with computer-things as i. And they have more problems since the launcher has more possibilities. So a lite-version of the launcher would be great. If you wanīt to download the newest LiteLoader-modded-version you can use the fullversion of the launcher to dwonload it. And then just copy the files to your light-launcher. Even the programmer, if he someday wonīt have such a lot time for updating(because he is playing 7d2d) his launcher will profit. He maybe has time to update the small light version. The main feature is that the launcher is portable! And thatīs a very great feature.. this feature is in a light-version, too. Even if you donīt be able to use more modded versions with one KZMinecraft.. you can just copy the whole folder and so you will have.. :) Thatīs what i do often for testing.

...and now.. make a PC-free day and relax from stupid-user-questions, Koolio and enjoy the spring sun :-)

9
General Discussions / Re: Portable Minecraft v1.40
« on: March 16, 2015, 09:59:44 pm »
hey thank you very much, Koolio!!
your custom shader packs into.

i read YOUR shader packs. My shader packs? I have no shader packs. Isnīt it correct that the shaderpack is in this file: ShadersMod-v2.4.11mc1.8.jar ?

it will open the folder you need to add your custom shader packs into.

and which folder will be opened? Is the folder not created after the drag&drop-process endet? Do i have to start minecraft?

This is not something you need to do, it is the alternative method that only works in certain situations, ie you already have a 'tweakmod' installed, such as Forge, which will then load the extracted shadersmod from the /mods/ folder.

If you open "<launchfolder>/versions/1.8-ShadersMod2.4.11/1.8-ShadersMod2.4.11.json"  you should see some lines in green that look very similar to this:

Quote
{
   "id": "1.8-LiteLoader",
   "time": "2014-05-14T18:29:23+01:00",
   "releaseTime": "2014-05-14T18:29:23+01:00",
   "type": "release",
   "minecraftArguments": "--username ${auth_player_name} --version ${version_name} --gameDir ${game_directory} --assetsDir ${assets_root} --assetIndex ${assets_index_name} --uuid ${auth_uuid} --accessToken ${auth_access_token} --userProperties ${user_properties} --userType ${user_type} --tweakClass com.mumfrey.liteloader.launch.LiteLoaderTweaker --tweakClass shadersmod.launch.SMCTweaker",
   "libraries": [
    {
      "name": "shadersmodcore:ShadersModCore:2.4.11mc1.8"
    },

      {
         "name": "com.mumfrey:liteloader:1.8",
         "url": "http://dl.liteloader.com/versions/"
      },


You will need to copy those lines in green, into your own custom mcversion .json file

even if i have installed Forge or Liteloader? What i am trying to do is using your 1.8-Liteloaderversion and update it to the newest shadermodversion: ShadersMod-v2.4.11mc1.8.jar

Because if i know how that works i can easily make a Optifine+Shadermodversion out of your(shadermodupdated) 1.8-LiteLoader-Version:
1. downlaod in MinecraftLauncher>1.8-Liteloader
2. delete the KZMinecraftLauncher\versions\1.8-folder
3. rename "KZMinecraft\versions\1.8-Liteloader" to "KZMinecraft\versions\1.8"
4. rename "KZMinecraft\versions\1.8\1.8.1-natives" to "KZMinecraft\versions\1.8\1.8-natives"
5. copy a clean original 1.8.jar into KZMinecraft\versions\1.8
6. rename "KZMinecraft\versions\1.8\1.8-LiteLoader.json" to "KZMinecraft\versions\1.8\1.8.json"

..so i will in the end have a 1.8+Liteloader+Optifine+actualShadersmod but without TMI, etc.

You can try selecting a custom 1.8 version here aswel, the installer should just add the relavent lines to the library files it installs and any tweakclass, it is ofc always better to install to a base version that has no custom changes and make sure that works and runs first.

So first step is to copy the KZMinecraft\libraries-folder to %appdata%\.Minecraft-folder (before deleting the original). And then making the drag & drop-process.
I have found out, that in  %appdata%\.minecraft\libaries there is a folder called "shadersmodcore". In your KZMinecraft\libaries\-folder, there isnīt such an folder. But shadermod is installed and working as you know. That is a thing i donīt understand.

important thing to note about using mod installer this way, when it is asking for the base version, make sure that is a vanilla base minecraft version.. ie you haven't edited the .json file or used a custom one.

hmm, but i need lite-loader for one version. And i donīt know how to make it. So the drag&drop-thing isnīt possible for me. Isnīt there any other way to update the shaders mod?

btw there is a bug with installing 1.8.3 from the [Minecraft Releases] you might need install it, try launch, it will attempt to download extra library files but fail to launch, uninstall 1.8.3 from the [Minecraft Releases] and download it again.. should work after that.

thank you. But i will need liteloader & there is no version 1.8.3-Liteloader. Iīam dayly pressing the "Check for Updates"-Buttom in the Modpacks-section. But never getting any update in the list. I even never have seen a 1.8.3(clean)-version in the launcher. Or can i copy it from my original-minecraft in .minecraft-folder? Will you make an step by step list, how to use an newer mc-version with your launcher? This would be very useful.

So always keep the base minecraft versions clean, and just make your own copies with different names to avoid confusion.

but thatīs a problem, because i donīt know how to install lite-loader & liteloader is needed to use f.e. shader. They are sooo nice and lovely - i never had seen them before. They are not working with my ressourcepack only with faithfull. But for that shaders i will resign of my ressourcepack. I will make 2 versions - one with ressourcepack & one with shader. So i can switch.

But i am using the 1.8(so clean jar). So TMI, etc. (all non TWEAK-Mods are eleminated). And only the json-file is "infected" by other mods. By the way - can i update Optifine by only copying the newest jar-file to: \libraries\optifine\OptiFine\1.x.x_HD_U_xx\OptiFine-1.x.x_HD_U_xx.jar + editing the same name into the json-file?
Code: [Select]
{
  "name": "optifine:OptiFine:1.x.x_HD_U_xx"
},

10
General Discussions / Re: Portable Minecraft v1.40
« on: March 16, 2015, 11:46:17 am »
not to sure I'm following you on this one...  or what is going wrong for you in this.

if you dragdrop the shadermod, it should install its own mcversion based on 1.8, and make its own mcversion, really the only reason i mention it is, so that you can do the 'tweak' mod thing, and it will have the library files installed for the shaders.

o.k., thank you. I will try it to explain in pictures. This is what i do:
1. drag & drop the ShadersMod-v2.4.11mc1.8.jar onto the launcher & close the launcher

2. choose the version of minecraft(it depents on my version of minecraft in the .minecraft-folder on C:\

3. i get this info-window

4. this files are added to my original mc-folder: C:\Users\Julia\AppData\Roaming\.minecraft\versions\1.8-ShadersMod2.4.11


And now i have some questions:
Q1: What do i have to do with this files created in step 4?

Q2: And how do i now get the actual shader-files? In you version made from and older shader-version(ShadersModCore-2.4.6) they are here:
1.8-LiteLoader\shaderpacks\B-v2.3.20-Koolio\shaders

I only know, that i have to copy the ShadersMod-v2.4.11mc1.8.jar to the folder:
"1.8-LiteLoader\mods\1.8" Or is that a bad idea?

Julia :)

11
General Discussions / Re: Portable Minecraft v1.40
« on: March 14, 2015, 12:32:20 pm »
hey wow - thank you "Bender" Koolio for your wide reply! I like, that you isolate the different versions!

it is working like you say. I just had to change the id.

But for the shaders-mod. Itīs working without doing the drag- and drop part. O.k., because i can just
1. copy ShadersModCore-2.4.6mc1.8.jar to my 1.8opti-folder(1.8opti\mods\1.8\)
2. copy the shaderpacks-folder: 1.8-LiteLoader\shaderpacks to my version: 1.8opti\shaderpacks
3. add "B-v2.3.20-Koolio" to the "shaderPack="-line in the optionsshaders.txt in my 1.8opti-folder
Itīs working without the "--tweakClass shadersmod.launch.SMCTweaker"" and the other-entry in the .json of my 1.8opti-version. You donīt believe? Watch in your own - out of the box 1.8-LiteLoader.json. There is no entry like you mentioned above. And the shader is working, if you only rename the ShadersModCore-2.4.6mc1.8.jar[disabled] to ShadersModCore-2.4.6mc1.8.jar in the 1.8-LiteLoader\mods\1.8-folder.

But i canīt create a version with the newest verison of the shader. The drag & drop-think is a little bad, because it changes something on my original-minecraft in C:\
And even if i do it - i donīt know how to get furhter. I close the launcher as i am told by it. Then i choose 1.8(without optifine, because optifine is a tweak-mod).
And then? Which files do i have to copy. And... i donīt get a shaderspack-folder! -> "1.8-LiteLoader\shaderpacks\B-v2.3.20-Koolio\shaders"

Julia :)

12
General Discussions / Re: Portable Minecraft v1.40
« on: March 13, 2015, 03:59:57 pm »
nice.

shader-problem(solved):
I have made a clean 1.8 with optifine.. in the way you told me(http://kraftzone.net/forum/index.php?topic=1234.msg14333#msg14333). I named the folder just 1.8. Thatīs working good. But now i wanīt to add the shaders-mod. I copied the ShadersModCore-2.4.6mc1.8.jar to the 1.8-folder(1.8\mods\1.8\), but it donīt works. If i use the out of the box 1.8-folder it works(o.k., have to rename the shader.jar-ending, but thatīs logically).

I addionally copied the shaderpacks-folder to my version, because the folder is created, but without any files in it. But donīt works.
Thatīs how it looks in menu:


How can i add the shadersmod to my clean 1.8+otpifine-version? thank you!

oh  - i finally made it. So i will show the solution to other who maybe have this problem, too. I had to add "B-v2.3.20-Koolio" to the "shaderPack="-line in the optionsshaders.txt in my 1.8-folder.


Auto-Folder-Creation:
But one problem i have. A 1.8-LiteLoader-folder is created, only if i press the launch-buttom: "verions\1.8-LiteLoader\1.8-LiteLoader-natives" with files in it. I can delete it directly after itīs created & minecraft still works. I have a folder (versions\1.8\1.8-natives), and this i am using.

After restarting the launcher the default-mc-version is the useless created 1.8.-liteloader-one. Why it is created? Can i stop it?

I tried the following:
deleted the: libraries\com\mumfrey\liteloader\1.8\1.8.jar

But if i press the launch-buttom with my 1.8-version, i get:

---------------------------
You are missing library file(s) to run 1.8:
\libraries\com\mumfrey\liteloader\1.8\liteloader-1.8.jar

 Attempt to download the missing libraries?
---------------------------


13
General Discussions / Re: Portable Minecraft v1.40
« on: March 10, 2015, 11:17:36 pm »
hi, where does the kz-launcher download the newest releases(snapshots)?
http://i.imgur.com/CXgdGbm.png

Are the the original ones?

14
Announcements / Re: Portable Minecraft v1.40
« on: March 07, 2015, 04:44:09 pm »
still the nicest client on earth. And still the one and only real portable client! For me it works nice. But a friend can start the launcher, but if he press start-buttom he got an error. After starting again, he get no error by pressing the start-buttom, but Minecraft donīt starts anyway. So i think it must be a problem of my friends PC. He has Win8 64bit like me. But a Radeon graphics-card, not nvidea. But optifine works with radeon, too. He is using portable java and trying nonportable. What else can he try?

15
General Discussions / Re: Portable Minecraft v1.40
« on: February 11, 2015, 12:53:46 am »
hi, in KZ version 1.3.8 i can max install Minecraft 1.7.10:


and in 1.3.5 i can install Minecraft 1.8:


Shouldnīt i be able to download 1.8 in the higher version of the launcher, too?

If i download 1.8-LiteLoader with KZLauncher 1.3.5. Why is an "1.8"-folder created in "KZMinecraft\versions\-folder" if i only download 1.8-LiteLoader? If i choose 1.8 in the launcher & press the start-button, minecraft doesnīt start. An empy "1.8"-folder is created in the KZMinecraft-folder & in KZMinecraft\versions\1.8 a 1.8-natives-folder with hte natives-files is created. But there is still no 1.8.jar in the KZMinecraft\verions\1.8-folder.

It would be nice, if there would be one clean version with Optifine only. If i do that for KZ 1.3.5 it doesnīt work(for KZ 1.11 it worked).
Anyway here is what you could do....

get 1.38...

Minecraft Launcher> [Mod/Addons]>[Mod Packs]> download "1.7.2-Forge10.12.2.1127"  it comes with a bunch of other mods which you can rename or delete... ".minecraft\1.7.2-Forge10.12.2.1127\mods\"

one is  "OptiFine_1.7.2_HD_U_D1.jar" which you can find in here ".minecraft\1.7.2-Forge10.12.2.1127\mods\OptiFine_1.7.2_HD_U_D1.jar"

".minecraft\versions\1.7.2-Forge10.12.2.1127\1.7.2-Forge10.12.2.1127.jar"  <<that jar file will contain TMI, so to remove it, you will need to download vanilla 1.7.2

launcher>Settings>[Minecraft Releases], look for 1.7.2 and download if you haven't already got it.

Then copy that jar file....

".minecraft\versions\1.7.2\1.7.2.jar"

or rename it to: "1.7.2-Forge10.12.2.1127.jar"

And copy it to this folder  ".minecraft\versions\1.7.2-Forge10.12.2.1127\" 

ie overwrite the other existing file "1.7.2-Forge10.12.2.1127.jar" which has TMI basemod files inside..... that way you have a vanilla 1.7.2 jar without any modifications to the actual jar.

It is important NOT to replace the "1.7.2-Forge10.12.2.1127.json"   leave that as is.


Until we have no clean version i have made a small workaround with the help of koolio: I have done this, itīs quite the same and it works too:
1. downlaod in MinecraftLauncher>1.8-Liteloader
2. delete the KZMinecraftLauncher\versions\1.8-folder
3. rename "KZMinecraft\versions\1.8-Liteloader" to "KZMinecraft\versions\1.8"
4. rename "KZMinecraft\versions\1.8\1.8.1-natives" to "KZMinecraft\versions\1.8\1.8-natives"
5. copy a clean original 1.8.jar into KZMinecraft\versions\1.8
6. rename "KZMinecraft\versions\1.8\1.8-LiteLoader.json" to "KZMinecraft\versions\1.8\1.8.json"


thx

Julia

Pages: [1] 2